package org.springblade.gateway.common_gateway.ocr.builder;

import org.springblade.gateway.common_gateway.ocr.OCRType;
import org.springblade.wx.constant.MiniProgramType;

/**
 * @author: lianghanqiang
 * @description: ocr 识别
 * @since: 9/17/21 -- 2:33 PM
 */
public class OcrBuilder {

	public static OcrTemplate buildOcrTemplate(OCRType type){
		OcrTemplate  template = null;
		switch (type){
			case WECHAT_CLIENT:
				template = new WechatOcrTemplate(MiniProgramType.CLIENT);
				break;
			case WECHAT_SHOP:
				template = new WechatOcrTemplate(MiniProgramType.SHOP);
				break;
			case WECHAT_MALL:
				template = new WechatOcrTemplate(MiniProgramType.MALL);
				break;
		}
		return template;
	}
}
